-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 25-06-2024 a las 18:41:42
-- Versión del servidor: 10.4.32-MariaDB
-- Versión de PHP: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `bd_cafe`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `caja`
--

CREATE TABLE `caja` (
  `id_caja` int(11) NOT NULL,
  `apertura_caja` double NOT NULL,
  `cierre_caja` double NOT NULL,
  `fecha_caja` date NOT NULL,
  `estado_caja` int(11) NOT NULL,
  `users_caja` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `caja_chica`
--

CREATE TABLE `caja_chica` (
  `id_caja` int(11) NOT NULL,
  `referencia_caja` varchar(255) NOT NULL,
  `fecha_caja` date NOT NULL,
  `hora_caja` time NOT NULL,
  `monto_caja` double NOT NULL,
  `descripcion_caja` varchar(255) NOT NULL,
  `tipo_caja` tinyint(4) NOT NULL,
  `users_caja` int(11) NOT NULL,
  `date_added_caja` datetime NOT NULL,
  `control_caja` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `clientes`
--

CREATE TABLE `clientes` (
  `id_cliente` int(11) NOT NULL,
  `nombre_cliente` varchar(255) NOT NULL,
  `fiscal_cliente` varchar(255) NOT NULL,
  `telefono_cliente` char(30) NOT NULL,
  `email_cliente` varchar(64) NOT NULL,
  `direccion_cliente` varchar(255) NOT NULL,
  `status_cliente` tinyint(4) NOT NULL,
  `date_added` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `clientes`
--

INSERT INTO `clientes` (`id_cliente`, `nombre_cliente`, `fiscal_cliente`, `telefono_cliente`, `email_cliente`, `direccion_cliente`, `status_cliente`, `date_added`) VALUES
(1, 'CONSUMIDOR FINAL', '0000-0', '74823030', 'info@softys.com', 'Santiago de María, El Salvador', 1, '2018-08-21 09:10:36');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `creditos`
--

CREATE TABLE `creditos` (
  `id_credito` int(11) NOT NULL,
  `numero_factura` varchar(20) NOT NULL,
  `fecha_credito` datetime NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `id_vendedor` int(11) NOT NULL,
  `monto_credito` double NOT NULL,
  `saldo_credito` double NOT NULL,
  `estado_credito` tinyint(1) NOT NULL,
  `id_users_credito` int(11) NOT NULL,
  `id_sucursal` int(11) NOT NULL,
  `cuenta_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `creditos_abonos`
--

CREATE TABLE `creditos_abonos` (
  `id_abono` int(11) NOT NULL,
  `numero_factura` varchar(20) NOT NULL,
  `fecha_abono` datetime NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `monto_abono` double NOT NULL,
  `abono` double NOT NULL,
  `saldo_abono` double NOT NULL,
  `id_users_abono` int(11) NOT NULL,
  `id_sucursal` int(11) NOT NULL,
  `concepto_abono` varchar(255) NOT NULL,
  `cuenta` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `creditos_abonos_prov`
--

CREATE TABLE `creditos_abonos_prov` (
  `id_abono` int(11) NOT NULL,
  `numero_factura` varchar(20) NOT NULL,
  `fecha_abono` datetime NOT NULL,
  `id_proveedor` int(11) NOT NULL,
  `monto_abono` double NOT NULL,
  `abono` double NOT NULL,
  `saldo_abono` double NOT NULL,
  `id_users_abono` int(11) NOT NULL,
  `id_sucursal` int(11) NOT NULL,
  `concepto_abono` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `credito_proveedor`
--

CREATE TABLE `credito_proveedor` (
  `id_credito` int(11) NOT NULL,
  `numero_factura` varchar(20) NOT NULL,
  `fecha_credito` datetime NOT NULL,
  `id_proveedor` int(11) NOT NULL,
  `monto_credito` double NOT NULL,
  `saldo_credito` double NOT NULL,
  `estado_credito` tinyint(1) NOT NULL,
  `id_users_credito` int(11) NOT NULL,
  `id_sucursal` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `currencies`
--

CREATE TABLE `currencies` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `symbol` varchar(255) NOT NULL,
  `precision` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `thousand_separator` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `decimal_separator` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `currencies`
--

INSERT INTO `currencies` (`id`, `name`, `symbol`, `precision`, `thousand_separator`, `decimal_separator`, `code`) VALUES
(1, 'US Dollar', '$', '2', ',', '.', 'USD'),
(2, 'Libra Esterlina', '&pound;', '2', ',', '.', 'GBP'),
(3, 'Euro', 'â‚¬', '2', '.', ',', 'EUR'),
(4, 'South African Rand', 'R', '2', '.', ',', 'ZAR'),
(5, 'Danish Krone', 'kr ', '2', '.', ',', 'DKK'),
(6, 'Israeli Shekel', 'NIS ', '2', ',', '.', 'ILS'),
(7, 'Swedish Krona', 'kr ', '2', '.', ',', 'SEK'),
(8, 'Kenyan Shilling', 'KSh ', '2', ',', '.', 'KES'),
(9, 'Canadian Dollar', 'C$', '2', ',', '.', 'CAD'),
(10, 'Philippine Peso', 'P ', '2', ',', '.', 'PHP'),
(11, 'Indian Rupee', 'Rs. ', '2', ',', '.', 'INR'),
(12, 'Australian Dollar', '$', '2', ',', '.', 'AUD'),
(13, 'Singapore Dollar', 'SGD ', '2', ',', '.', 'SGD'),
(14, 'Norske Kroner', 'kr ', '2', '.', ',', 'NOK'),
(15, 'New Zealand Dollar', '$', '2', ',', '.', 'NZD'),
(16, 'Vietnamese Dong', 'VND ', '0', '.', ',', 'VND'),
(17, 'Swiss Franc', 'CHF ', '2', '\'', '.', 'CHF'),
(18, 'Quetzal Guatemalteco', 'Q', '2', ',', '.', 'GTQ'),
(19, 'Malaysian Ringgit', 'RM', '2', ',', '.', 'MYR'),
(20, 'Real Brasile&ntilde;o', 'R$', '2', '.', ',', 'BRL'),
(21, 'Thai Baht', 'THB ', '2', ',', '.', 'THB'),
(22, 'Nigerian Naira', 'NGN ', '2', ',', '.', 'NGN'),
(23, 'Peso Argentino', '$', '2', '.', ',', 'ARS'),
(24, 'Bangladeshi Taka', 'Tk', '2', ',', '.', 'BDT'),
(25, 'United Arab Emirates Dirham', 'DH ', '2', ',', '.', 'AED'),
(26, 'Hong Kong Dollar', '$', '2', ',', '.', 'HKD'),
(27, 'Indonesian Rupiah', 'Rp', '2', ',', '.', 'IDR'),
(28, 'Peso Mexicano', '$', '2', ',', '.', 'MXN'),
(29, 'Egyptian Pound', '&pound;', '2', ',', '.', 'EGP'),
(30, 'Peso Colombiano', '$', '2', '.', ',', 'COP'),
(31, 'West African Franc', 'CFA ', '2', ',', '.', 'XOF'),
(32, 'Chinese Renminbi', 'RMB ', '2', ',', '.', 'CNY'),
(33, 'Sol', 'S/', '2', '.', ',', 'PEN');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_caja`
--

CREATE TABLE `detalle_caja` (
  `caja_id` int(11) NOT NULL,
  `num_caja` varchar(50) NOT NULL,
  `fecha` date NOT NULL,
  `hora_ap` time NOT NULL,
  `s_inicial` double NOT NULL,
  `ing_efectivo` double NOT NULL,
  `ing_cheque` double NOT NULL,
  `ing_transf` double NOT NULL,
  `egresos` double NOT NULL,
  `h_cierre` time NOT NULL,
  `total_caja` double NOT NULL,
  `empleado_id` int(11) NOT NULL,
  `estado_caja` int(11) NOT NULL,
  `faltante` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `detalle_caja`
--

INSERT INTO `detalle_caja` (`caja_id`, `num_caja`, `fecha`, `hora_ap`, `s_inicial`, `ing_efectivo`, `ing_cheque`, `ing_transf`, `egresos`, `h_cierre`, `total_caja`, `empleado_id`, `estado_caja`, `faltante`) VALUES
(1, '', '2024-01-09', '17:23:00', 50, 72.2, 0, 0, 0, '12:56:00', 72.25, 1, 2, 0.049999999999997),
(2, '', '2024-01-11', '13:15:00', 50, 50, 0, 0, 0, '13:18:00', 50, 1, 2, 0),
(3, '', '2024-01-11', '13:21:00', 100, 100, 0, 0, 0, '16:47:00', 100, 1, 2, 0),
(4, '', '2024-01-11', '16:50:00', 60, 60, 0, 0, 0, '16:53:00', 60, 1, 2, 0),
(5, '', '2024-01-11', '16:54:00', 100, 100, 0, 0, 0, '16:55:00', 100, 1, 2, 0),
(6, '', '2024-01-11', '16:56:00', 50, 50, 0, 0, 0, '16:58:00', 50, 1, 2, 0),
(7, '', '2024-01-11', '17:01:00', 50, 50, 0, 0, 0, '17:04:00', 50, 1, 2, 0),
(8, '', '2024-01-11', '17:10:00', 60, 60, 0, 0, 0, '17:16:00', 60, 1, 2, 0),
(9, '', '2024-01-11', '17:21:00', 50, 50, 0, 0, 0, '17:22:00', 50, 1, 2, 0),
(10, '', '2024-01-11', '17:46:00', 100, 100, 0, 0, 0, '13:31:00', 100, 1, 2, 0),
(11, '', '2024-03-12', '09:56:00', 200, 294, 0, 0, 0, '10:21:00', 294.64, 1, 2, 0.63999999999999),
(12, '', '2024-06-25', '10:33:00', 100, 0, 0, 0, 0, '00:00:00', 0, 1, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_fact_compra`
--

CREATE TABLE `detalle_fact_compra` (
  `id_detalle` int(11) NOT NULL,
  `id_factura` int(11) NOT NULL,
  `numero_factura` varchar(25) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad` double NOT NULL,
  `precio_costo` double NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_fact_cot`
--

CREATE TABLE `detalle_fact_cot` (
  `id_detalle` int(11) NOT NULL,
  `id_factura` int(11) NOT NULL,
  `numero_factura` varchar(25) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad` int(11) NOT NULL,
  `desc_venta` int(11) NOT NULL,
  `precio_venta` double NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_fact_ventas`
--

CREATE TABLE `detalle_fact_ventas` (
  `id_detalle` int(11) NOT NULL,
  `id_factura` int(11) NOT NULL,
  `numero_factura` varchar(25) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad` int(11) NOT NULL,
  `desc_venta` double NOT NULL,
  `precio_venta` double NOT NULL,
  `importe_venta` double NOT NULL,
  `fecha_added` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `detalle_fact_ventas`
--

INSERT INTO `detalle_fact_ventas` (`id_detalle`, `id_factura`, `numero_factura`, `id_producto`, `cantidad`, `desc_venta`, `precio_venta`, `importe_venta`, `fecha_added`) VALUES
(1, 1, 'CFF-000001', 38, 1, 0, 5, 5, '2024-04-04 12:40:43'),
(2, 1, 'CFF-000001', 17, 1, 0, 2, 2, '2024-04-04 12:40:43'),
(3, 2, 'CFF-000002', 19, 1, 0, 2, 2, '2024-04-04 12:43:13'),
(4, 2, 'CFF-000002', 38, 1, 0, 5, 5, '2024-04-04 12:43:13'),
(5, 3, 'CFF-000003', 1, 1, 0, 1.5, 1.5, '2024-04-04 12:54:03'),
(6, 3, 'CFF-000003', 38, 1, 0, 5, 5, '2024-04-04 12:54:03'),
(7, 4, 'CFF-000004', 39, 1, 0, 5, 5, '2024-04-04 12:55:08'),
(8, 4, 'CFF-000004', 5, 1, 0, 2, 2, '2024-04-04 12:55:08'),
(9, 5, 'CFF-000005', 9, 1, 0, 2.75, 2.75, '2024-04-04 12:56:17'),
(10, 5, 'CFF-000005', 40, 1, 0, 5, 5, '2024-04-04 12:56:17'),
(11, 6, 'CFF-000006', 38, 1, 0, 5, 5, '2024-04-06 12:56:55'),
(12, 6, 'CFF-000006', 17, 1, 0, 2, 2, '2024-04-06 12:56:55'),
(13, 6, 'CFF-000006', 22, 1, 0, 1, 1, '2024-04-06 12:56:55'),
(14, 7, 'CFF-000007', 119, 1, 0, 0.5, 0.5, '2024-04-06 12:57:08'),
(15, 7, 'CFF-000007', 38, 1, 0, 5, 5, '2024-04-06 12:57:08'),
(16, 8, 'CFF-000008', 34, 1, 0, 8, 8, '2024-04-06 12:57:16'),
(17, 8, 'CFF-000008', 1, 1, 0, 1.5, 1.5, '2024-04-06 12:57:16'),
(18, 9, 'CFF-000009', 9, 3, 0, 2.75, 8.25, '2024-04-12 10:14:58'),
(19, 9, 'CFF-000009', 70, 1, 0, 1.5, 1.5, '2024-04-12 10:14:58'),
(20, 9, 'CFF-000009', 71, 2, 0, 1.5, 3, '2024-04-12 10:14:58'),
(21, 9, 'CFF-000009', 69, 1, 0, 1.5, 1.5, '2024-04-12 10:14:58'),
(22, 10, 'CFF-000010', 38, 1, 0, 5, 5, '2024-04-12 10:15:46'),
(23, 10, 'CFF-000010', 17, 1, 0, 2, 2, '2024-04-12 10:15:46'),
(24, 11, 'CFF-000011', 18, 1, 0, 2, 2, '2024-04-12 10:16:15'),
(25, 11, 'CFF-000011', 40, 1, 0, 5, 5, '2024-04-12 10:16:15'),
(26, 11, 'CFF-000011', 22, 1, 0, 1, 1, '2024-04-12 10:16:15'),
(27, 12, 'CFF-000012', 39, 1, 0, 5, 5, '2024-04-12 10:16:23'),
(28, 12, 'CFF-000012', 19, 1, 0, 2, 2, '2024-04-12 10:16:23'),
(29, 13, 'CFF-000013', 4, 1, 0, 1.5, 1.5, '2024-06-25 10:40:23'),
(30, 13, 'CFF-000013', 3, 1, 0, 1.5, 1.5, '2024-06-25 10:40:23'),
(31, 13, 'CFF-000013', 9, 1, 0, 2.75, 2.75, '2024-06-25 10:40:23');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_traslado`
--

CREATE TABLE `detalle_traslado` (
  `id_detalle_traslado` int(11) NOT NULL,
  `id_traslado` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad` int(11) NOT NULL,
  `precio_venta` double NOT NULL,
  `num_transaccion` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `egresos`
--

CREATE TABLE `egresos` (
  `id_egreso` int(11) NOT NULL,
  `referencia_egreso` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `monto` double NOT NULL,
  `descripcion_egreso` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `fecha_added` datetime NOT NULL,
  `users` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `facturas_compras`
--

CREATE TABLE `facturas_compras` (
  `id_factura` int(11) NOT NULL,
  `numero_factura` varchar(25) NOT NULL,
  `fecha_factura` datetime NOT NULL,
  `id_proveedor` int(11) NOT NULL,
  `id_vendedor` int(11) NOT NULL,
  `condiciones` int(11) NOT NULL,
  `monto_factura` double NOT NULL,
  `estado_factura` tinyint(4) NOT NULL,
  `id_users_factura` int(11) NOT NULL,
  `id_sucursal` int(11) NOT NULL,
  `ref_factura` varchar(50) NOT NULL,
  `control_caja` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `facturas_cot`
--

CREATE TABLE `facturas_cot` (
  `id_factura` int(11) NOT NULL,
  `numero_factura` varchar(20) NOT NULL,
  `fecha_factura` datetime NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `id_vendedor` int(11) NOT NULL,
  `condiciones` varchar(30) NOT NULL,
  `monto_factura` double NOT NULL,
  `estado_factura` tinyint(1) NOT NULL,
  `id_users_factura` int(11) NOT NULL,
  `validez` double NOT NULL,
  `start_cot` time NOT NULL,
  `end_cot` time NOT NULL,
  `est_cot` int(11) NOT NULL,
  `id_sucursal` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `facturas_creditos`
--

CREATE TABLE `facturas_creditos` (
  `id_fcr` int(11) NOT NULL,
  `cuenta_id` int(11) NOT NULL,
  `num_factura` varchar(50) NOT NULL,
  `factura_id` int(11) NOT NULL,
  `saldo_fact` decimal(10,2) NOT NULL,
  `estado_fact` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `facturas_ventas`
--

CREATE TABLE `facturas_ventas` (
  `id_factura` int(11) NOT NULL,
  `numero_factura` varchar(20) NOT NULL,
  `fecha_factura` datetime NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `id_vendedor` int(11) NOT NULL,
  `condiciones` varchar(30) NOT NULL,
  `monto_factura` double NOT NULL,
  `valor_propina` int(11) NOT NULL,
  `estado_factura` tinyint(1) NOT NULL,
  `id_users_factura` int(11) NOT NULL,
  `dinero_resibido_fac` double NOT NULL,
  `id_sucursal` int(11) NOT NULL,
  `control_caja` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `facturas_ventas`
--

INSERT INTO `facturas_ventas` (`id_factura`, `numero_factura`, `fecha_factura`, `id_cliente`, `id_vendedor`, `condiciones`, `monto_factura`, `valor_propina`, `estado_factura`, `id_users_factura`, `dinero_resibido_fac`, `id_sucursal`, `control_caja`) VALUES
(1, 'CFF-000001', '2024-04-04 12:40:43', 1, 1, '1', 7, 0, 1, 1, 10, 1, 11),
(2, 'CFF-000002', '2024-04-04 12:43:13', 1, 1, '1', 7, 0, 1, 1, 10, 1, 11),
(3, 'CFF-000003', '2024-04-04 12:54:03', 1, 1, '1', 6.5, 0, 1, 1, 7, 1, 11),
(4, 'CFF-000004', '2024-04-04 12:55:08', 1, 1, '1', 7, 0, 1, 1, 10, 1, 11),
(5, 'CFF-000005', '2024-04-04 12:56:17', 1, 1, '1', 7.75, 0, 1, 1, 10, 1, 11),
(6, 'CFF-000006', '2024-04-06 12:56:55', 1, 1, '1', 8, 0, 1, 1, 10, 1, 11),
(7, 'CFF-000007', '2024-04-06 12:57:08', 1, 1, '1', 5.64, 0, 1, 1, 10, 1, 11),
(8, 'CFF-000008', '2024-04-06 12:57:16', 1, 1, '1', 9.5, 0, 1, 1, 10, 1, 11),
(9, 'CFF-000009', '2024-04-12 10:14:58', 1, 1, '1', 14.25, 0, 1, 1, 15, 1, 11),
(10, 'CFF-000010', '2024-04-12 10:15:46', 1, 1, '1', 7, 0, 1, 1, 7, 1, 11),
(11, 'CFF-000011', '2024-04-12 10:16:15', 1, 1, '1', 8, 0, 1, 1, 10, 1, 11),
(12, 'CFF-000012', '2024-04-12 10:16:23', 1, 1, '1', 7, 0, 1, 1, 10, 1, 11),
(13, 'CFF-000013', '2024-06-25 10:40:23', 1, 1, '5', 5.75, 0, 1, 1, 6, 1, 12);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `historial_productos`
--

CREATE TABLE `historial_productos` (
  `id_historial` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `id_users` int(11) NOT NULL,
  `fecha_historial` datetime NOT NULL,
  `nota_historial` varchar(255) NOT NULL,
  `referencia_historial` varchar(100) NOT NULL,
  `cantidad_historial` double NOT NULL,
  `tipo_historial` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ingresos`
--

CREATE TABLE `ingresos` (
  `id_ingreso` int(11) NOT NULL,
  `id_consulta` int(11) NOT NULL,
  `id_paciente` int(11) NOT NULL,
  `monto` double NOT NULL,
  `fecha_added` datetime NOT NULL,
  `users` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lineas`
--

CREATE TABLE `lineas` (
  `id_linea` int(11) NOT NULL,
  `nombre_linea` varchar(255) NOT NULL,
  `descripcion_linea` text NOT NULL,
  `estado_linea` int(11) NOT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `lineas`
--

INSERT INTO `lineas` (`id_linea`, `nombre_linea`, `descripcion_linea`, `estado_linea`, `date_added`) VALUES
(1, 'CERVEZAS', 'CERVEZAS', 1, '2019-03-11 10:09:46'),
(2, 'BEBIDA NATURAL', 'BEBIDA NATURAL', 1, '2020-01-03 22:26:33'),
(3, 'BEBIDA OTROS', 'BEBIDA OTROS', 1, '2021-02-20 10:10:26'),
(4, 'BEBIDA PREPARADA', 'BEBIDA PREPARADA', 1, '2021-02-20 10:55:50'),
(5, 'LA RIVERA', 'LA RIVERA', 1, '2023-07-01 11:51:56'),
(6, 'COMIDA MEXICANA', 'COMIDA MEXICANA', 1, '2023-07-01 11:54:29'),
(7, 'PARA COMPARTIR', 'PARA COMPARTIR', 1, '2023-07-01 11:55:16'),
(8, 'COMIDA OTROS', 'COMIDA OTROS', 1, '2023-07-01 11:55:38'),
(9, 'COCTELES Y CEVICHES', 'COCTELES Y CEVICHES', 1, '2023-07-01 11:56:16'),
(10, 'BOCAS', 'BOCAS', 1, '2023-07-01 11:56:26'),
(11, 'MENU INFANTIL', 'MENU INFANTIL', 1, '2023-07-01 17:56:20');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mesas`
--

CREATE TABLE `mesas` (
  `id_mesa` int(11) NOT NULL,
  `nombre_mesa` varchar(255) NOT NULL,
  `descripcion_mesa` text NOT NULL,
  `estado_mesa` int(11) NOT NULL,
  `date_added` datetime NOT NULL,
  `status_mesa` int(11) NOT NULL,
  `users_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `mesas`
--

INSERT INTO `mesas` (`id_mesa`, `nombre_mesa`, `descripcion_mesa`, `estado_mesa`, `date_added`, `status_mesa`, `users_id`) VALUES
(1, 'MESA 1', 'MESA 1', 1, '2018-01-31 10:07:30', 0, 0),
(2, 'MESA 2', 'MESA 2', 1, '2018-01-31 10:07:52', 0, 0),
(3, 'MESA 3', 'MESA 3', 1, '2018-01-31 10:08:04', 0, 0),
(4, 'MESA 4', 'MESA 4', 1, '2018-01-31 10:08:11', 0, 0),
(5, 'MESA 5', 'MESA 5', 1, '2018-01-31 10:08:25', 0, 0),
(6, 'MESA 6', 'MESA 6', 1, '2018-01-31 10:08:35', 0, 0),
(7, 'MESA 7', 'MESA 7', 1, '2018-01-31 10:08:42', 0, 0),
(8, 'MESA 8', 'MESA 8', 1, '2018-01-31 10:08:49', 0, 0),
(9, 'MESA 9', 'MESA 9', 1, '2018-01-31 13:00:22', 0, 0),
(10, 'MESA 10', 'MESA 10', 1, '2018-01-31 13:00:32', 0, 0),
(11, 'MESA 11', 'MESA 11', 1, '2018-01-31 13:00:41', 0, 0),
(12, 'MESA 12', 'MESA  12', 1, '2018-01-31 13:04:46', 0, 0),
(13, 'MESA 13', 'MESA 13', 1, '2020-01-06 10:43:45', 0, 0),
(14, 'MESA 14', 'MESA 14', 1, '2020-01-06 10:44:42', 0, 0),
(15, 'MESA 15', 'MESA 15', 1, '2021-02-20 10:19:24', 0, 0),
(16, 'MESA 16', 'MESA 16', 1, '2021-02-20 11:03:57', 0, 0),
(17, 'MESA 17', 'MESA 17', 1, '2023-07-01 13:28:51', 0, 0),
(18, 'MESA 18', 'MESA 18', 1, '2023-07-01 13:29:00', 0, 0),
(19, 'MESA 19', 'MESA 19', 1, '2023-07-01 13:29:10', 0, 0),
(20, 'MESA 20', 'MESA 20', 1, '2023-07-01 13:29:19', 0, 0),
(21, 'MESA 21', 'MESA 21', 1, '2023-07-04 12:57:56', 0, 0),
(22, 'MESA 22', 'MESA 22', 1, '2023-07-04 12:58:05', 0, 0),
(23, 'MESA 23', 'MESA 23', 1, '2023-07-04 12:58:17', 0, 0),
(24, 'MESA 24', 'MESA 24', 1, '2023-07-04 12:58:25', 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `modulos`
--

CREATE TABLE `modulos` (
  `id_modulo` int(11) NOT NULL,
  `nombre_modulo` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `modulos`
--

INSERT INTO `modulos` (`id_modulo`, `nombre_modulo`) VALUES
(1, 'Inicio'),
(2, 'Clientes'),
(3, 'Proveedores'),
(4, 'Productos'),
(5, 'Compras'),
(6, 'Mesas'),
(7, 'Comandas'),
(8, 'Ventas'),
(9, 'Pedidos'),
(10, 'Caja'),
(11, 'Reportes'),
(12, 'Configuracion');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `perfil`
--

CREATE TABLE `perfil` (
  `id_perfil` int(11) NOT NULL,
  `nombre_empresa` varchar(150) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `giro_empresa` text NOT NULL,
  `fiscal_empresa` varchar(25) NOT NULL,
  `direccion` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `ciudad` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `codigo_postal` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `estado` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `telefono` varchar(20) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `email` varchar(64) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `impuesto` int(2) NOT NULL,
  `nom_impuesto` varchar(50) NOT NULL,
  `moneda` varchar(6) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `logo_url` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `cliente_id` int(11) NOT NULL,
  `comp_id` int(11) NOT NULL,
  `doc_cliente` varchar(50) NOT NULL,
  `doc_proveedor` varchar(50) NOT NULL,
  `precio_venta` int(11) NOT NULL,
  `propina` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `perfil`
--

INSERT INTO `perfil` (`id_perfil`, `nombre_empresa`, `giro_empresa`, `fiscal_empresa`, `direccion`, `ciudad`, `codigo_postal`, `estado`, `telefono`, `email`, `impuesto`, `nom_impuesto`, `moneda`, `logo_url`, `cliente_id`, `comp_id`, `doc_cliente`, `doc_proveedor`, `precio_venta`, `propina`) VALUES
(1, 'RESTAURANTE LA RIVERA', 'RESTAURANTE', '314250-0', 'FINAL 5TA AVENIDA NORTE BIS 910 BARRIO SAN FRANCISCO', 'SAN MIGUEL', '503', 'SAN MIGUEL', '+503-0000-0000', 'larivera@hotmail.com', 13, 'IVAX', '$', '../../img/1712617471_rancho.jpeg', 1, 1, 'RNC', 'RCN', 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productos`
--

CREATE TABLE `productos` (
  `id_producto` int(11) NOT NULL,
  `codigo_producto` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `nombre_producto` varchar(255) NOT NULL,
  `descripcion_producto` text NOT NULL,
  `id_linea_producto` int(11) NOT NULL,
  `id_med_producto` int(11) NOT NULL,
  `id_proveedor` int(11) NOT NULL,
  `inv_producto` tinyint(4) NOT NULL,
  `iva_producto` tinyint(4) NOT NULL,
  `estado_producto` tinyint(4) NOT NULL,
  `costo_producto` double NOT NULL,
  `utilidad_producto` double NOT NULL,
  `valor1_producto` double NOT NULL,
  `valor2_producto` double NOT NULL,
  `valor3_producto` double NOT NULL,
  `stock_producto` double NOT NULL,
  `stock_min_producto` double NOT NULL,
  `date_added` datetime NOT NULL,
  `image_path` varchar(300) NOT NULL,
  `vista` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci ROW_FORMAT=COMPACT;

--
-- Volcado de datos para la tabla `productos`
--

INSERT INTO `productos` (`id_producto`, `codigo_producto`, `nombre_producto`, `descripcion_producto`, `id_linea_producto`, `id_med_producto`, `id_proveedor`, `inv_producto`, `iva_producto`, `estado_producto`, `costo_producto`, `utilidad_producto`, `valor1_producto`, `valor2_producto`, `valor3_producto`, `stock_producto`, `stock_min_producto`, `date_added`, `image_path`, `vista`) VALUES
(1, '10000', 'PILSENER', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 64, 1, '2023-07-01 12:10:33', '../../img/productos/1688491686_pilsener.png', 0),
(2, '10001', 'GOLDEN VERDE', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 79, 1, '2023-07-01 12:11:15', '../../img/productos/1688491977_golden.png', 0),
(3, '10002', 'GOLDEN EXTRA', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 295, 1, '2023-07-01 12:12:01', '../../img/productos/1688423716_Captura de pantalla 2023-07-03 a la(s) 4.34.49 p. m..png', 0),
(4, '10003', 'SUPREMA', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 10, 1, '2023-07-01 12:12:34', '../../img/productos/1688424735_beer-46570_58c7e_hd.png', 0),
(5, '10004', 'CORONA', '', 1, 0, 3, 0, 0, 1, 1, 0, 2, 0, 0, 282, 1, '2023-07-01 12:13:29', '../../img/productos/1688492176_corona.png', 0),
(6, '10005', 'MILLER DRAF', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 102, 1, '2023-07-01 12:14:19', '../../img/productos/1688492345_miller draf.png', 0),
(7, '10006', 'MILLER LITE', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 188, 1, '2023-07-01 12:14:55', '../../img/productos/1688492581_miller lite.png', 0),
(8, '10007', 'TECATE', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 103, 1, '2023-07-01 12:15:31', '../../img/productos/1688492692_tecate.png', 0),
(9, '10008', 'REGIA', '', 1, 0, 3, 0, 0, 1, 1, 0, 2.75, 0, 0, 100, 1, '2023-07-01 12:18:59', '../../img/productos/1688492802_200302182326Regia-Label.jpg.png', 0),
(10, '10009', 'SMIRNOF', '', 1, 0, 3, 0, 0, 1, 1, 0, 2.25, 0, 0, 0, 1, '2023-07-01 13:45:55', '../../img/productos/1688492898_SMIRNOF.png', 0),
(11, '10010', 'AMSTEL', '', 1, 0, 3, 0, 0, 1, 1, 0, 2, 0, 0, 9, 1, '2023-07-01 13:46:34', '../../img/productos/1688493020_amstel.png', 0),
(12, '10011', 'HEINEKEN', '', 1, 0, 3, 0, 0, 1, 1, 0, 2.25, 0, 0, 12, 1, '2023-07-01 13:47:32', '../../img/productos/1688493147_heineken.png', 0),
(13, '10012', 'ULTRA', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.85, 0, 0, 92, 1, '2023-07-01 13:48:20', '../../img/productos/1688493430_Ultra.png', 0),
(14, '10013', 'MODELO', '', 1, 0, 3, 0, 0, 1, 1, 0, 2.5, 0, 0, 83, 1, '2023-07-01 13:48:50', '../../img/productos/1688493536_modelo.png', 0),
(15, '10014', 'STELLA', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.75, 0, 0, 35, 1, '2023-07-01 13:49:23', '../../img/productos/1688493712_stella.png', 0),
(16, '10015', 'LIMONADA NORMAL', '', 2, 0, 4, 1, 0, 1, 1, 0, 1.75, 0, 0, 0, 1, '2023-07-01 13:51:32', '../../img/productos/1688495414_Limonada normal.png', 1),
(17, '10016', 'LIMONADA FRESA', '', 2, 0, 4, 1, 0, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 13:52:21', '../../img/productos/1688495510_Limonada fresa.png', 1),
(18, '10017', 'LIMONADA HIERVA BUENA', '', 2, 0, 4, 1, 0, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 13:53:00', '../../img/productos/1688495184_Limonada HB.png', 1),
(19, '10018', 'JUGO DE NARANJA', '', 2, 0, 4, 1, 0, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 13:53:19', '../../img/productos/1688495617_naranja.png', 0),
(20, '10019', 'LICUADO', '', 2, 0, 4, 1, 0, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 13:53:44', '../../img/productos/1688495948_frozen.png', 0),
(21, '10020', 'FROZEN', '', 2, 0, 4, 1, 1, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 16:38:38', '../../img/productos/1688495962_licuado.png', 0),
(22, '10021', 'CAFE', '', 2, 0, 4, 1, 0, 1, 1, 0, 1, 0, 0, 0, 1, '2023-07-01 16:39:07', '../../img/productos/1688496092_cafe.png', 0),
(23, '10022', 'AGUA', '', 3, 0, 4, 0, 0, 1, 1, 0, 1, 0, 0, 51, 1, '2023-07-01 16:40:16', '../../img/productos/1688503900_agua.png', 0),
(25, '10024', 'POWERADE', '', 3, 0, 4, 0, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 16:41:59', '', 0),
(26, '10025', 'JUGO DEL VALLE', '', 3, 0, 4, 0, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 16:43:12', '', 0),
(27, '10026', 'TE', '', 3, 0, 4, 0, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 16:44:32', '', 0),
(28, '10027', 'CHURRASCO 4 ONZ', 'ARROZ, CHIMOL, CHORIZO, TORTILLAS Y QUESO', 5, 0, 4, 1, 0, 1, 1, 0, 7.5, 0, 0, 0, 1, '2023-07-01 16:47:29', '', 0),
(29, '10028', 'PAPAS GRATINADAS', '', 5, 0, 4, 1, 0, 1, 1, 0, 7, 0, 0, 0, 1, '2023-07-01 16:48:34', '', 0),
(30, '10029', 'CHURRASCO A LA RIVERA', '', 5, 0, 4, 1, 0, 1, 1, 0, 8.5, 0, 0, 0, 1, '2023-07-01 16:52:49', '', 0),
(31, '10030', 'PESCADO BOQUIADO', '', 5, 0, 4, 1, 0, 1, 1, 0, 9, 0, 0, 0, 1, '2023-07-01 16:53:35', '', 2),
(32, '10031', 'PESCADO FRITO', '', 5, 0, 4, 1, 0, 1, 1, 0, 9, 0, 0, 0, 1, '2023-07-01 16:54:00', '', 2),
(33, '10032', 'PECHUGA A LA PLANCHA', '', 5, 0, 4, 1, 0, 1, 1, 0, 7.99, 0, 0, 0, 1, '2023-07-01 16:54:34', '', 0),
(34, '10033', 'CAMARONES EMPANIZADOS', '', 5, 0, 4, 1, 0, 1, 1, 0, 8, 0, 0, 0, 1, '2023-07-01 16:55:19', '', 0),
(35, '10034', 'ORDEN DE ALITAS', '', 5, 0, 4, 1, 0, 1, 1, 0, 7.5, 0, 0, 0, 1, '2023-07-01 16:55:51', '', 0),
(36, '10035', 'SOPA DE RES', '', 5, 0, 4, 1, 0, 1, 1, 0, 5.5, 0, 0, 0, 1, '2023-07-01 16:56:21', '', 0),
(37, '10036', 'SOPA DE FRIJOLES', '', 5, 0, 4, 1, 0, 1, 1, 0, 5.5, 0, 0, 0, 1, '2023-07-01 16:56:56', '', 0),
(38, '10037', 'TACOS DE RES', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:00:38', '', 0),
(39, '10038', 'TACOS DE POLLO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:01:00', '', 0),
(40, '10039', 'TACOS MIXTO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:02:05', '', 0),
(41, '10040', 'TORTA DE RES', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:02:31', '', 0),
(42, '10041', 'TORTA DE POLLO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:02:52', '', 0),
(43, '10042', 'TORTA MIXTA', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:03:14', '', 0),
(44, '10043', 'QUESADILLA DE RES', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:04:08', '', 0),
(45, '10044', 'QUESADILLA DE POLLO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:04:42', '', 0),
(46, '10045', 'QUESADILLA MIXTA', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:05:05', '', 0),
(47, '10046', 'BURRITO DE RES', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:05:34', '', 0),
(48, '10047', 'BURRITO DE POLLO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:06:02', '', 0),
(49, '10048', 'BURRITO MIXTO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:07:06', '', 0),
(50, '10049', 'NACHOS DE RES', '', 6, 0, 4, 1, 0, 1, 1, 0, 5.5, 0, 0, 0, 1, '2023-07-01 17:07:45', '', 0),
(51, '10050', 'NACHOS DE POLLO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5.5, 0, 0, 0, 1, '2023-07-01 17:08:31', '', 0),
(52, '10051', 'NACHOS MIXTO', '', 6, 0, 4, 1, 0, 1, 1, 0, 5.5, 0, 0, 0, 1, '2023-07-01 17:12:34', '', 0),
(53, '10052', 'DOCENA CONCHAS', '', 8, 0, 4, 1, 0, 1, 1, 0, 8, 0, 0, 0, 1, '2023-07-01 17:15:05', '', 0),
(54, '10053', 'PAPAS FRANCESAS', '', 8, 0, 4, 1, 0, 1, 1, 0, 2.5, 0, 0, 0, 1, '2023-07-01 17:15:41', '', 0),
(55, '10054', 'PAPAS GAJO', '', 8, 0, 4, 1, 0, 1, 1, 0, 2.75, 0, 0, 0, 1, '2023-07-01 17:16:15', '', 0),
(56, '10055', 'PAN CON AJO', '', 8, 0, 4, 1, 0, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 17:17:13', '', 0),
(57, '10056', 'PUPUSA', '', 8, 0, 4, 1, 0, 1, 1, 0, 0.75, 0, 0, 0, 1, '2023-07-01 17:17:55', '', 0),
(58, '10057', 'CHILAQUILAS', '', 8, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:18:29', '', 0),
(59, '10058', 'CEVICHE DE CAMARON', '', 9, 0, 4, 1, 0, 1, 1, 0, 8.99, 0, 0, 0, 1, '2023-07-01 17:19:53', '', 0),
(60, '10059', 'COCTEL DE CONCHAS', '', 9, 0, 4, 1, 0, 1, 1, 0, 8.99, 0, 0, 0, 1, '2023-07-01 17:20:34', '', 2),
(61, '10060', 'MEDIO CEVICHE', '', 9, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:21:02', '', 0),
(62, '10061', 'MEDIO COCTEL CONCHA', '', 9, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:22:32', '', 2),
(63, '10062', 'MOJITO', '', 4, 0, 4, 1, 0, 1, 1, 0, 3, 0, 0, 0, 1, '2023-07-01 17:26:28', '', 0),
(64, '10063', 'MICHELADA', '', 4, 0, 4, 1, 0, 1, 1, 0, 1, 0, 0, 0, 1, '2023-07-01 17:27:29', '', 0),
(65, '10064', 'CUBA LIBRE', '', 4, 0, 4, 1, 0, 1, 1, 0, 3, 0, 0, 0, 1, '2023-07-01 17:28:00', '', 0),
(66, '10065', 'LONG ISLAND', '', 4, 0, 4, 1, 0, 1, 1, 0, 3, 0, 0, 0, 1, '2023-07-01 17:28:40', '', 0),
(67, '10066', 'MARGARITA', '', 4, 0, 4, 1, 0, 1, 1, 0, 3, 0, 0, 0, 1, '2023-07-01 17:29:03', '', 0),
(68, '10067', 'FRUTAS', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:29:50', '', 0),
(69, '10068', 'JALAPEÑO', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:30:29', '', 0),
(70, '10069', 'CAMARON EMPANIZADO', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:31:26', '', 2),
(71, '10070', 'CALDO DE RES', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:31:51', '', 2),
(72, '10071', 'QUESO FRITO', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:33:49', '', 0),
(73, '10072', 'ALITAS', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:34:11', '../../img/productos/1689978621_Productos.jpg', 0),
(74, '10073', 'CARNITA ASADA', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:34:46', '', 0),
(75, '10074', 'CONSOME DE CAMARON', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:35:23', '', 0),
(76, '10075', 'CONSOME JAIBA', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:37:18', '', 0),
(77, '10076', 'PINCHOS', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:38:31', '', 0),
(78, '10077', 'CROSTINI CAMARON', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:40:10', '', 0),
(79, '10078', 'CROSTINI JALAPEÑO', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:40:53', '', 0),
(80, '10079', 'COSTILLA', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:41:22', '', 0),
(81, '10080', 'CONCHAS ABIERTAS', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:41:48', '', 0),
(82, '10081', 'SOPA FRIJOLES', '', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-01 17:42:41', '', 0),
(83, '10082', 'TABLAZO RIVERA', '8 BOCAS', 7, 0, 4, 1, 0, 1, 1, 0, 15, 0, 0, 0, 1, '2023-07-01 17:44:29', '', 0),
(84, '10083', 'PLATO LA RIVERA', '5 BOCAS', 7, 0, 4, 1, 0, 1, 1, 0, 12, 0, 0, 0, 1, '2023-07-01 17:45:04', '', 0),
(85, '10084', 'UNIDAD TACOS', '', 8, 0, 4, 1, 0, 1, 1, 0, 1.75, 0, 0, 0, 1, '2023-07-01 17:50:14', '', 0),
(86, '10085', 'NACHOS BOCA', '', 8, 0, 4, 1, 0, 1, 1, 0, 2, 0, 0, 0, 1, '2023-07-01 17:50:48', '', 2),
(87, '10086', 'BOCAS MIXTAS', '', 8, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:51:32', '', 2),
(88, '10087', 'SANDWICH JAMON', 'SANDWICH JAMON Y PAPAS', 8, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:53:19', '', 0),
(89, '10088', 'SANDWICH POLLO', 'SANDWICH POLLO Y PAPAS', 8, 0, 4, 1, 0, 1, 1, 0, 5, 0, 0, 0, 1, '2023-07-01 17:54:06', '', 0),
(90, '10089', 'HAMBURGUESA', '', 8, 0, 4, 1, 0, 1, 1, 0, 2.5, 0, 0, 0, 1, '2023-07-01 17:55:07', '', 0),
(91, '10090', 'CARNE ASADA Y PAPAS', '', 11, 0, 4, 1, 0, 1, 1, 0, 4.99, 0, 0, 0, 1, '2023-07-01 17:57:36', '', 0),
(92, '10091', 'MENU INFANTIL (PECHUGAS Y PAPAS)', '', 11, 0, 4, 1, 0, 1, 1, 0, 4.99, 0, 0, 0, 1, '2023-07-01 17:58:28', '', 0),
(93, '10092', 'AGUA MINERAL', '', 3, 0, 4, 1, 0, 1, 1, 0, 1, 0, 0, 0, 1, '2023-07-01 18:01:29', '../../img/productos/1688503994_mineral.png', 0),
(94, '10093', 'GATORADE', '', 3, 0, 3, 0, 0, 1, 1.5, 0, 1, 0, 0, 0, 5, '2023-07-04 17:48:18', '', 0),
(95, '10094', 'TIPICO', '', 8, 0, 4, 1, 0, 1, 1, 0, 6, 0, 0, 0, 1, '2023-07-04 18:03:47', '', 0),
(96, '10095', 'CORONA TROPICAL', '', 1, 0, 3, 0, 0, 1, 1, 0, 1.5, 0, 0, 7, 1, '2023-07-21 14:43:02', '', 0),
(97, '10096', 'SODAS', 'SODAS', 2, 0, 3, 1, 0, 1, 0.5, 0, 1.5, 0, 0, 20, 1, '2023-07-21 20:05:19', '', 0),
(98, '10097', 'PLATOS DE BOCA', 'RIVERA ', 8, 0, 4, 1, 0, 0, 12, 0, 12, 0, 0, 0, 1, '2023-07-21 20:06:41', '', 0),
(100, '10099', 'PLATO DE CHICHARRON', 'COMPARTIR', 7, 0, 4, 1, 0, 0, 8, 0, 8, 0, 0, 0, 1, '2023-07-21 20:13:46', '', 0),
(101, '10100', 'PLATO DE COSTILLA', 'PARA COMPARTIR', 7, 0, 4, 1, 0, 0, 8.5, 0, 8.5, 0, 0, 0, 1, '2023-07-21 20:14:48', '', 0),
(102, '10101', 'MEDIA DOCENA CONCHAS', 'COMPARTIR', 7, 0, 4, 1, 0, 0, 1, 0, 5, 0, 0, 0, 1, '2023-07-21 20:16:05', '', 2),
(104, '10103', 'CHICHARRON', 'BOCAS', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-21 21:33:40', '', 0),
(105, '10104', 'DUNHILL', 'TODOS', 5, 0, 4, 0, 0, 1, 1, 0, 2.75, 0, 0, 0, 1, '2023-07-21 22:46:36', '', 0),
(106, '10105', 'MIKONO', 'TODOS', 5, 0, 4, 1, 0, 1, 1, 0, 2.5, 0, 0, 0, 1, '2023-07-21 22:47:26', '', 0),
(107, '10106', 'L Y M', 'TODOS', 5, 0, 4, 1, 0, 1, 1, 0, 2.5, 0, 0, 0, 1, '2023-07-21 22:48:10', '', 0),
(108, '10107', 'B GOLDE V 8', 'BALDES', 1, 0, 3, 1, 0, 1, 1, 0, 8.8, 0, 0, 220, 1, '2023-07-21 22:58:43', '', 0),
(109, '10108', 'BALDE DE EXTRA', 'CEREZAS', 1, 0, 3, 0, 0, 1, 1, 0, 8.8, 0, 0, 245, 1, '2023-07-21 22:59:26', '', 0),
(110, '10109', 'BALDE MIXTO G Y E', 'CERVEZAS', 1, 0, 3, 0, 0, 1, 1, 0, 8.8, 0, 0, 250, 1, '2023-07-21 23:00:03', '', 0),
(111, '10110', 'BALDE DE PILSENER', 'CERVEZAS', 1, 0, 3, 0, 0, 1, 1, 0, 10.3, 0, 0, 217, 1, '2023-07-21 23:00:51', '', 0),
(112, '10111', 'BLADE DE PIL Y GOL', 'CERVEZAS', 1, 0, 3, 0, 0, 1, 1, 0, 10.3, 0, 0, 242, 1, '2023-07-21 23:01:39', '', 0),
(113, '10112', 'BALDE DE PIL Y EXTRA', 'CEREZAS', 1, 0, 3, 0, 0, 1, 1, 0, 10.3, 0, 0, 249, 1, '2023-07-21 23:02:19', '', 0),
(114, '10113', 'BALDE D PIL Y GOLV', 'CERVEZAS', 1, 0, 3, 0, 1, 1, 1, 0, 10.3, 0, 0, 242, 1, '2023-07-21 23:07:35', '', 0),
(115, '10114', 'IMPERIO SENCILLO', 'CEREZAS', 3, 0, 4, 0, 1, 1, 1, 0, 2, 0, 0, 64, 1, '2023-07-22 18:26:10', '', 0),
(116, '10115', 'IMPERIO DOBLE', 'TRAGOS', 3, 0, 4, 1, 1, 1, 1, 0, 4, 0, 0, 66, 1, '2023-07-22 18:26:54', '', 0),
(117, '10116', 'JOSE CUERVO SENCILLO', 'TRAGOS', 3, 0, 4, 1, 1, 1, 1, 0, 2.5, 0, 0, 66, 1, '2023-07-22 18:27:48', '', 0),
(118, '10117', 'SENCILLO 1800', 'TRAGO', 3, 0, 4, 1, 1, 1, 1, 0, 5, 0, 0, 75, 1, '2023-07-22 18:40:59', '', 0),
(119, '10118', 'EXTRA LIMON', 'EXTRA', 7, 0, 4, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 1, '2023-07-22 19:12:39', '', 1),
(120, '10119', 'EXTRA FRIJOL', 'EXTRA', 7, 0, 4, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 1, '2023-07-22 19:25:35', '', 0),
(121, '10120', 'EXTRA TORTILLA', 'EXTRA', 7, 0, 4, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 1, '2023-07-22 19:26:27', '', 0),
(122, '10121', 'PLATO COMPARTIR 12', 'COMPARTIR', 7, 0, 4, 1, 1, 1, 1, 0, 12, 0, 0, 0, 1, '2023-07-22 20:30:03', '', 0),
(123, '10122', 'SHOT VENADO', 'SHOT VENADO', 3, 0, 4, 1, 1, 1, 1, 0, 1, 0, 0, 0, 1, '2023-07-22 21:34:02', '', 0),
(124, '10123', 'CEVICHE BOCA', 'CEVICHITO', 10, 0, 4, 1, 0, 1, 1, 0, 1.5, 0, 0, 0, 1, '2023-07-23 18:01:47', '', 2),
(125, '10124', 'CORONA CHOLA', 'CHOLA', 1, 0, 3, 0, 0, 1, 1, 0, 3, 0, 0, 0, 1, '2023-07-23 21:51:15', '', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proveedores`
--

CREATE TABLE `proveedores` (
  `id_proveedor` int(11) NOT NULL,
  `nombre_proveedor` varchar(255) NOT NULL,
  `fiscal_proveedor` varchar(100) NOT NULL,
  `web_proveedor` varchar(255) NOT NULL,
  `direccion_proveedor` text NOT NULL,
  `contacto_proveedor` varchar(255) NOT NULL,
  `email_proveedor` varchar(255) NOT NULL,
  `telefono_proveedor` varchar(100) NOT NULL,
  `date_added` datetime NOT NULL,
  `estado_proveedor` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `proveedores`
--

INSERT INTO `proveedores` (`id_proveedor`, `nombre_proveedor`, `fiscal_proveedor`, `web_proveedor`, `direccion_proveedor`, `contacto_proveedor`, `email_proveedor`, `telefono_proveedor`, `date_added`, `estado_proveedor`) VALUES
(1, 'PROVEEDOR VARIOS', '456464-5', '', 'SAN MIGUEL EL SALVADOR', 'JUASN PEREZ BONILLA ', 'juan@gmail.com', '75859895', '2024-03-12 10:59:37', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `reservas`
--

CREATE TABLE `reservas` (
  `id_reserva` int(11) NOT NULL,
  `id_salon_res` int(11) NOT NULL,
  `id_cliente_res` int(11) NOT NULL,
  `telefono_res` varchar(50) NOT NULL,
  `cantidad_res` int(11) NOT NULL,
  `fecha_res` date NOT NULL,
  `hora_inicio_res` time NOT NULL,
  `hora_fin_res` time NOT NULL,
  `obs_res` varchar(255) NOT NULL,
  `users_res` int(11) NOT NULL,
  `estado_res` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `salones`
--

CREATE TABLE `salones` (
  `id_salon` int(11) NOT NULL,
  `nombre_salon` varchar(50) NOT NULL,
  `estado_salon` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stock`
--

CREATE TABLE `stock` (
  `id_stock` int(11) NOT NULL,
  `id_producto_stock` int(11) NOT NULL,
  `id_sucursal_stock` int(11) NOT NULL,
  `stock_inicial` double NOT NULL,
  `stock_final` int(11) NOT NULL,
  `fecha_stock` date NOT NULL,
  `control_caja` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `stock`
--

INSERT INTO `stock` (`id_stock`, `id_producto_stock`, `id_sucursal_stock`, `stock_inicial`, `stock_final`, `fecha_stock`, `control_caja`) VALUES
(1, 1, 0, 80, 2, '2024-01-09', 1),
(2, 2, 0, 87, 2, '2024-01-09', 1),
(3, 3, 0, 0, 0, '2024-01-09', 1),
(4, 4, 0, 13, 0, '2024-01-09', 1),
(5, 5, 0, -3, 0, '2024-01-09', 1),
(6, 6, 0, 2, 0, '2024-01-09', 1),
(7, 7, 0, 88, 0, '2024-01-09', 1),
(8, 8, 0, 3, 0, '2024-01-09', 1),
(9, 9, 0, 11, 2, '2024-01-09', 1),
(10, 10, 0, 2, 1, '2024-01-09', 1),
(11, 11, 0, 16, 1, '2024-01-09', 1),
(12, 12, 0, 12, 0, '2024-01-09', 1),
(13, 13, 0, 92, 0, '2024-01-09', 1),
(14, 14, 0, 83, 0, '2024-01-09', 1),
(15, 15, 0, 37, 2, '2024-01-09', 1),
(16, 23, 0, 51, 0, '2024-01-09', 1),
(17, 25, 0, 0, 0, '2024-01-09', 1),
(18, 26, 0, 0, 0, '2024-01-09', 1),
(19, 27, 0, 0, 0, '2024-01-09', 1),
(20, 94, 0, 0, 0, '2024-01-09', 1),
(21, 96, 0, 12, 2, '2024-01-09', 1),
(22, 105, 0, 0, 0, '2024-01-09', 1),
(23, 109, 0, 245, 0, '2024-01-09', 1),
(24, 110, 0, 250, 0, '2024-01-09', 1),
(25, 111, 0, 227, 0, '2024-01-09', 1),
(26, 112, 0, 242, 0, '2024-01-09', 1),
(27, 113, 0, 249, 0, '2024-01-09', 1),
(28, 114, 0, 242, 0, '2024-01-09', 1),
(29, 115, 0, 64, 0, '2024-01-09', 1),
(30, 125, 0, 0, 0, '2024-01-09', 1),
(31, 1, 0, 78, 0, '2024-01-11', 2),
(32, 2, 0, 85, 0, '2024-01-11', 2),
(33, 3, 0, 0, 0, '2024-01-11', 2),
(34, 4, 0, 13, 0, '2024-01-11', 2),
(35, 5, 0, -3, 0, '2024-01-11', 2),
(36, 6, 0, 2, 0, '2024-01-11', 2),
(37, 7, 0, 88, 0, '2024-01-11', 2),
(38, 8, 0, 3, 0, '2024-01-11', 2),
(39, 9, 0, 9, 0, '2024-01-11', 2),
(40, 10, 0, 1, 0, '2024-01-11', 2),
(41, 11, 0, 15, 0, '2024-01-11', 2),
(42, 12, 0, 12, 0, '2024-01-11', 2),
(43, 13, 0, 92, 0, '2024-01-11', 2),
(44, 14, 0, 83, 0, '2024-01-11', 2),
(45, 15, 0, 35, 0, '2024-01-11', 2),
(46, 23, 0, 51, 0, '2024-01-11', 2),
(47, 25, 0, 0, 0, '2024-01-11', 2),
(48, 26, 0, 0, 0, '2024-01-11', 2),
(49, 27, 0, 0, 0, '2024-01-11', 2),
(50, 94, 0, 0, 0, '2024-01-11', 2),
(51, 96, 0, 10, 0, '2024-01-11', 2),
(52, 105, 0, 0, 0, '2024-01-11', 2),
(53, 109, 0, 245, 0, '2024-01-11', 2),
(54, 110, 0, 250, 0, '2024-01-11', 2),
(55, 111, 0, 227, 0, '2024-01-11', 2),
(56, 112, 0, 242, 0, '2024-01-11', 2),
(57, 113, 0, 249, 0, '2024-01-11', 2),
(58, 114, 0, 242, 0, '2024-01-11', 2),
(59, 115, 0, 64, 0, '2024-01-11', 2),
(60, 125, 0, 0, 0, '2024-01-11', 2),
(61, 1, 0, 78, 0, '2024-01-11', 3),
(62, 2, 0, 85, 0, '2024-01-11', 3),
(63, 3, 0, 0, 0, '2024-01-11', 3),
(64, 4, 0, 13, 0, '2024-01-11', 3),
(65, 5, 0, -3, 0, '2024-01-11', 3),
(66, 6, 0, 2, 0, '2024-01-11', 3),
(67, 7, 0, 88, 0, '2024-01-11', 3),
(68, 8, 0, 3, 0, '2024-01-11', 3),
(69, 9, 0, 9, 0, '2024-01-11', 3),
(70, 10, 0, 1, 0, '2024-01-11', 3),
(71, 11, 0, 15, 0, '2024-01-11', 3),
(72, 12, 0, 12, 0, '2024-01-11', 3),
(73, 13, 0, 92, 0, '2024-01-11', 3),
(74, 14, 0, 83, 0, '2024-01-11', 3),
(75, 15, 0, 35, 0, '2024-01-11', 3),
(76, 23, 0, 51, 0, '2024-01-11', 3),
(77, 25, 0, 0, 0, '2024-01-11', 3),
(78, 26, 0, 0, 0, '2024-01-11', 3),
(79, 27, 0, 0, 0, '2024-01-11', 3),
(80, 94, 0, 0, 0, '2024-01-11', 3),
(81, 96, 0, 10, 0, '2024-01-11', 3),
(82, 105, 0, 0, 0, '2024-01-11', 3),
(83, 109, 0, 245, 0, '2024-01-11', 3),
(84, 110, 0, 250, 0, '2024-01-11', 3),
(85, 111, 0, 227, 0, '2024-01-11', 3),
(86, 112, 0, 242, 0, '2024-01-11', 3),
(87, 113, 0, 249, 0, '2024-01-11', 3),
(88, 114, 0, 242, 0, '2024-01-11', 3),
(89, 115, 0, 64, 0, '2024-01-11', 3),
(90, 125, 0, 0, 0, '2024-01-11', 3),
(91, 1, 0, 78, 0, '2024-01-11', 4),
(92, 2, 0, 85, 0, '2024-01-11', 4),
(93, 3, 0, 0, 0, '2024-01-11', 4),
(94, 4, 0, 13, 0, '2024-01-11', 4),
(95, 5, 0, -3, 0, '2024-01-11', 4),
(96, 6, 0, 2, 0, '2024-01-11', 4),
(97, 7, 0, 88, 0, '2024-01-11', 4),
(98, 8, 0, 3, 0, '2024-01-11', 4),
(99, 9, 0, 9, 0, '2024-01-11', 4),
(100, 10, 0, 1, 0, '2024-01-11', 4),
(101, 11, 0, 15, 0, '2024-01-11', 4),
(102, 12, 0, 12, 0, '2024-01-11', 4),
(103, 13, 0, 92, 0, '2024-01-11', 4),
(104, 14, 0, 83, 0, '2024-01-11', 4),
(105, 15, 0, 35, 0, '2024-01-11', 4),
(106, 23, 0, 51, 0, '2024-01-11', 4),
(107, 25, 0, 0, 0, '2024-01-11', 4),
(108, 26, 0, 0, 0, '2024-01-11', 4),
(109, 27, 0, 0, 0, '2024-01-11', 4),
(110, 94, 0, 0, 0, '2024-01-11', 4),
(111, 96, 0, 10, 0, '2024-01-11', 4),
(112, 105, 0, 0, 0, '2024-01-11', 4),
(113, 109, 0, 245, 0, '2024-01-11', 4),
(114, 110, 0, 250, 0, '2024-01-11', 4),
(115, 111, 0, 227, 0, '2024-01-11', 4),
(116, 112, 0, 242, 0, '2024-01-11', 4),
(117, 113, 0, 249, 0, '2024-01-11', 4),
(118, 114, 0, 242, 0, '2024-01-11', 4),
(119, 115, 0, 64, 0, '2024-01-11', 4),
(120, 125, 0, 0, 0, '2024-01-11', 4),
(121, 1, 0, 78, 0, '2024-01-11', 5),
(122, 2, 0, 85, 0, '2024-01-11', 5),
(123, 3, 0, 0, 0, '2024-01-11', 5),
(124, 4, 0, 13, 0, '2024-01-11', 5),
(125, 5, 0, -3, 0, '2024-01-11', 5),
(126, 6, 0, 2, 0, '2024-01-11', 5),
(127, 7, 0, 88, 0, '2024-01-11', 5),
(128, 8, 0, 3, 0, '2024-01-11', 5),
(129, 9, 0, 9, 0, '2024-01-11', 5),
(130, 10, 0, 1, 0, '2024-01-11', 5),
(131, 11, 0, 15, 0, '2024-01-11', 5),
(132, 12, 0, 12, 0, '2024-01-11', 5),
(133, 13, 0, 92, 0, '2024-01-11', 5),
(134, 14, 0, 83, 0, '2024-01-11', 5),
(135, 15, 0, 35, 0, '2024-01-11', 5),
(136, 23, 0, 51, 0, '2024-01-11', 5),
(137, 25, 0, 0, 0, '2024-01-11', 5),
(138, 26, 0, 0, 0, '2024-01-11', 5),
(139, 27, 0, 0, 0, '2024-01-11', 5),
(140, 94, 0, 0, 0, '2024-01-11', 5),
(141, 96, 0, 10, 0, '2024-01-11', 5),
(142, 105, 0, 0, 0, '2024-01-11', 5),
(143, 109, 0, 245, 0, '2024-01-11', 5),
(144, 110, 0, 250, 0, '2024-01-11', 5),
(145, 111, 0, 227, 0, '2024-01-11', 5),
(146, 112, 0, 242, 0, '2024-01-11', 5),
(147, 113, 0, 249, 0, '2024-01-11', 5),
(148, 114, 0, 242, 0, '2024-01-11', 5),
(149, 115, 0, 64, 0, '2024-01-11', 5),
(150, 125, 0, 0, 0, '2024-01-11', 5),
(151, 1, 0, 78, 0, '2024-01-11', 6),
(152, 2, 0, 85, 0, '2024-01-11', 6),
(153, 3, 0, 0, 0, '2024-01-11', 6),
(154, 4, 0, 13, 0, '2024-01-11', 6),
(155, 5, 0, -3, 0, '2024-01-11', 6),
(156, 6, 0, 2, 0, '2024-01-11', 6),
(157, 7, 0, 88, 0, '2024-01-11', 6),
(158, 8, 0, 3, 0, '2024-01-11', 6),
(159, 9, 0, 9, 0, '2024-01-11', 6),
(160, 10, 0, 1, 0, '2024-01-11', 6),
(161, 11, 0, 15, 0, '2024-01-11', 6),
(162, 12, 0, 12, 0, '2024-01-11', 6),
(163, 13, 0, 92, 0, '2024-01-11', 6),
(164, 14, 0, 83, 0, '2024-01-11', 6),
(165, 15, 0, 35, 0, '2024-01-11', 6),
(166, 23, 0, 51, 0, '2024-01-11', 6),
(167, 25, 0, 0, 0, '2024-01-11', 6),
(168, 26, 0, 0, 0, '2024-01-11', 6),
(169, 27, 0, 0, 0, '2024-01-11', 6),
(170, 94, 0, 0, 0, '2024-01-11', 6),
(171, 96, 0, 10, 0, '2024-01-11', 6),
(172, 105, 0, 0, 0, '2024-01-11', 6),
(173, 109, 0, 245, 0, '2024-01-11', 6),
(174, 110, 0, 250, 0, '2024-01-11', 6),
(175, 111, 0, 227, 0, '2024-01-11', 6),
(176, 112, 0, 242, 0, '2024-01-11', 6),
(177, 113, 0, 249, 0, '2024-01-11', 6),
(178, 114, 0, 242, 0, '2024-01-11', 6),
(179, 115, 0, 64, 0, '2024-01-11', 6),
(180, 125, 0, 0, 0, '2024-01-11', 6),
(181, 1, 0, 78, 0, '2024-01-11', 7),
(182, 2, 0, 85, 0, '2024-01-11', 7),
(183, 3, 0, 0, 0, '2024-01-11', 7),
(184, 4, 0, 13, 0, '2024-01-11', 7),
(185, 5, 0, -3, 0, '2024-01-11', 7),
(186, 6, 0, 2, 0, '2024-01-11', 7),
(187, 7, 0, 88, 0, '2024-01-11', 7),
(188, 8, 0, 3, 0, '2024-01-11', 7),
(189, 9, 0, 9, 0, '2024-01-11', 7),
(190, 10, 0, 1, 0, '2024-01-11', 7),
(191, 11, 0, 15, 0, '2024-01-11', 7),
(192, 12, 0, 12, 0, '2024-01-11', 7),
(193, 13, 0, 92, 0, '2024-01-11', 7),
(194, 14, 0, 83, 0, '2024-01-11', 7),
(195, 15, 0, 35, 0, '2024-01-11', 7),
(196, 23, 0, 51, 0, '2024-01-11', 7),
(197, 25, 0, 0, 0, '2024-01-11', 7),
(198, 26, 0, 0, 0, '2024-01-11', 7),
(199, 27, 0, 0, 0, '2024-01-11', 7),
(200, 94, 0, 0, 0, '2024-01-11', 7),
(201, 96, 0, 10, 0, '2024-01-11', 7),
(202, 105, 0, 0, 0, '2024-01-11', 7),
(203, 109, 0, 245, 0, '2024-01-11', 7),
(204, 110, 0, 250, 0, '2024-01-11', 7),
(205, 111, 0, 227, 0, '2024-01-11', 7),
(206, 112, 0, 242, 0, '2024-01-11', 7),
(207, 113, 0, 249, 0, '2024-01-11', 7),
(208, 114, 0, 242, 0, '2024-01-11', 7),
(209, 115, 0, 64, 0, '2024-01-11', 7),
(210, 125, 0, 0, 0, '2024-01-11', 7),
(211, 1, 0, 78, 0, '2024-01-11', 8),
(212, 2, 0, 85, 0, '2024-01-11', 8),
(213, 3, 0, 0, 0, '2024-01-11', 8),
(214, 4, 0, 13, 0, '2024-01-11', 8),
(215, 5, 0, -3, 0, '2024-01-11', 8),
(216, 6, 0, 2, 0, '2024-01-11', 8),
(217, 7, 0, 88, 0, '2024-01-11', 8),
(218, 8, 0, 3, 0, '2024-01-11', 8),
(219, 9, 0, 9, 0, '2024-01-11', 8),
(220, 10, 0, 1, 0, '2024-01-11', 8),
(221, 11, 0, 15, 0, '2024-01-11', 8),
(222, 12, 0, 12, 0, '2024-01-11', 8),
(223, 13, 0, 92, 0, '2024-01-11', 8),
(224, 14, 0, 83, 0, '2024-01-11', 8),
(225, 15, 0, 35, 0, '2024-01-11', 8),
(226, 23, 0, 51, 0, '2024-01-11', 8),
(227, 25, 0, 0, 0, '2024-01-11', 8),
(228, 26, 0, 0, 0, '2024-01-11', 8),
(229, 27, 0, 0, 0, '2024-01-11', 8),
(230, 94, 0, 0, 0, '2024-01-11', 8),
(231, 96, 0, 10, 0, '2024-01-11', 8),
(232, 105, 0, 0, 0, '2024-01-11', 8),
(233, 109, 0, 245, 0, '2024-01-11', 8),
(234, 110, 0, 250, 0, '2024-01-11', 8),
(235, 111, 0, 227, 0, '2024-01-11', 8),
(236, 112, 0, 242, 0, '2024-01-11', 8),
(237, 113, 0, 249, 0, '2024-01-11', 8),
(238, 114, 0, 242, 0, '2024-01-11', 8),
(239, 115, 0, 64, 0, '2024-01-11', 8),
(240, 125, 0, 0, 0, '2024-01-11', 8),
(241, 1, 0, 78, 0, '2024-01-11', 9),
(242, 2, 0, 85, 0, '2024-01-11', 9),
(243, 3, 0, 0, 0, '2024-01-11', 9),
(244, 4, 0, 13, 0, '2024-01-11', 9),
(245, 5, 0, -3, 0, '2024-01-11', 9),
(246, 6, 0, 2, 0, '2024-01-11', 9),
(247, 7, 0, 88, 0, '2024-01-11', 9),
(248, 8, 0, 3, 0, '2024-01-11', 9),
(249, 9, 0, 9, 0, '2024-01-11', 9),
(250, 10, 0, 1, 0, '2024-01-11', 9),
(251, 11, 0, 15, 0, '2024-01-11', 9),
(252, 12, 0, 12, 0, '2024-01-11', 9),
(253, 13, 0, 92, 0, '2024-01-11', 9),
(254, 14, 0, 83, 0, '2024-01-11', 9),
(255, 15, 0, 35, 0, '2024-01-11', 9),
(256, 23, 0, 51, 0, '2024-01-11', 9),
(257, 25, 0, 0, 0, '2024-01-11', 9),
(258, 26, 0, 0, 0, '2024-01-11', 9),
(259, 27, 0, 0, 0, '2024-01-11', 9),
(260, 94, 0, 0, 0, '2024-01-11', 9),
(261, 96, 0, 10, 0, '2024-01-11', 9),
(262, 105, 0, 0, 0, '2024-01-11', 9),
(263, 109, 0, 245, 0, '2024-01-11', 9),
(264, 110, 0, 250, 0, '2024-01-11', 9),
(265, 111, 0, 227, 0, '2024-01-11', 9),
(266, 112, 0, 242, 0, '2024-01-11', 9),
(267, 113, 0, 249, 0, '2024-01-11', 9),
(268, 114, 0, 242, 0, '2024-01-11', 9),
(269, 115, 0, 64, 0, '2024-01-11', 9),
(270, 125, 0, 0, 0, '2024-01-11', 9),
(271, 1, 0, 78, 0, '2024-01-11', 10),
(272, 2, 0, 85, 0, '2024-01-11', 10),
(273, 3, 0, 0, 0, '2024-01-11', 10),
(274, 4, 0, 13, 0, '2024-01-11', 10),
(275, 5, 0, -3, 0, '2024-01-11', 10),
(276, 6, 0, 2, 0, '2024-01-11', 10),
(277, 7, 0, 88, 0, '2024-01-11', 10),
(278, 8, 0, 3, 0, '2024-01-11', 10),
(279, 9, 0, 9, 0, '2024-01-11', 10),
(280, 10, 0, 1, 0, '2024-01-11', 10),
(281, 11, 0, 15, 0, '2024-01-11', 10),
(282, 12, 0, 12, 0, '2024-01-11', 10),
(283, 13, 0, 92, 0, '2024-01-11', 10),
(284, 14, 0, 83, 0, '2024-01-11', 10),
(285, 15, 0, 35, 0, '2024-01-11', 10),
(286, 23, 0, 51, 0, '2024-01-11', 10),
(287, 25, 0, 0, 0, '2024-01-11', 10),
(288, 26, 0, 0, 0, '2024-01-11', 10),
(289, 27, 0, 0, 0, '2024-01-11', 10),
(290, 94, 0, 0, 0, '2024-01-11', 10),
(291, 96, 0, 10, 0, '2024-01-11', 10),
(292, 105, 0, 0, 0, '2024-01-11', 10),
(293, 109, 0, 245, 0, '2024-01-11', 10),
(294, 110, 0, 250, 0, '2024-01-11', 10),
(295, 111, 0, 227, 0, '2024-01-11', 10),
(296, 112, 0, 242, 0, '2024-01-11', 10),
(297, 113, 0, 249, 0, '2024-01-11', 10),
(298, 114, 0, 242, 0, '2024-01-11', 10),
(299, 115, 0, 64, 0, '2024-01-11', 10),
(300, 125, 0, 0, 0, '2024-01-11', 10),
(301, 1, 0, 78, 3, '2024-03-12', 11),
(302, 2, 0, 85, 3, '2024-03-12', 11),
(303, 3, 0, 0, 1, '2024-03-12', 11),
(304, 4, 0, 13, 1, '2024-03-12', 11),
(305, 5, 0, -3, 1, '2024-03-12', 11),
(306, 6, 0, 2, 100, '2024-03-12', 11),
(307, 7, 0, 88, 100, '2024-03-12', 11),
(308, 8, 0, 3, 100, '2024-03-12', 11),
(309, 9, 0, 9, 5, '2024-03-12', 11),
(310, 10, 0, 1, 2, '2024-03-12', 11),
(311, 11, 0, 15, 2, '2024-03-12', 11),
(312, 12, 0, 12, 0, '2024-03-12', 11),
(313, 13, 0, 92, 0, '2024-03-12', 11),
(314, 14, 0, 83, 0, '2024-03-12', 11),
(315, 15, 0, 35, 0, '2024-03-12', 11),
(316, 23, 0, 51, 0, '2024-03-12', 11),
(317, 25, 0, 0, 0, '2024-03-12', 11),
(318, 26, 0, 0, 0, '2024-03-12', 11),
(319, 27, 0, 0, 0, '2024-03-12', 11),
(320, 94, 0, 0, 0, '2024-03-12', 11),
(321, 96, 0, 10, 3, '2024-03-12', 11),
(322, 105, 0, 0, 0, '2024-03-12', 11),
(323, 109, 0, 245, 0, '2024-03-12', 11),
(324, 110, 0, 250, 0, '2024-03-12', 11),
(325, 111, 0, 227, 2, '2024-03-12', 11),
(326, 112, 0, 242, 0, '2024-03-12', 11),
(327, 113, 0, 249, 0, '2024-03-12', 11),
(328, 114, 0, 242, 0, '2024-03-12', 11),
(329, 115, 0, 64, 0, '2024-03-12', 11),
(330, 125, 0, 0, 0, '2024-03-12', 11),
(331, 1, 0, 64, 0, '2024-06-25', 12),
(332, 2, 0, 79, 0, '2024-06-25', 12),
(333, 3, 0, 296, 1, '2024-06-25', 12),
(334, 4, 0, 11, 1, '2024-06-25', 12),
(335, 5, 0, 282, 0, '2024-06-25', 12),
(336, 6, 0, 102, 0, '2024-06-25', 12),
(337, 7, 0, 188, 0, '2024-06-25', 12),
(338, 8, 0, 103, 0, '2024-06-25', 12),
(339, 9, 0, 101, 3, '2024-06-25', 12),
(340, 10, 0, 0, 0, '2024-06-25', 12),
(341, 11, 0, 9, 0, '2024-06-25', 12),
(342, 12, 0, 12, 0, '2024-06-25', 12),
(343, 13, 0, 92, 0, '2024-06-25', 12),
(344, 14, 0, 83, 0, '2024-06-25', 12),
(345, 15, 0, 35, 0, '2024-06-25', 12),
(346, 23, 0, 51, 0, '2024-06-25', 12),
(347, 25, 0, 0, 0, '2024-06-25', 12),
(348, 26, 0, 0, 0, '2024-06-25', 12),
(349, 27, 0, 0, 0, '2024-06-25', 12),
(350, 94, 0, 0, 0, '2024-06-25', 12),
(351, 96, 0, 7, 0, '2024-06-25', 12),
(352, 105, 0, 0, 0, '2024-06-25', 12),
(353, 109, 0, 245, 0, '2024-06-25', 12),
(354, 110, 0, 250, 0, '2024-06-25', 12),
(355, 111, 0, 217, 0, '2024-06-25', 12),
(356, 112, 0, 242, 0, '2024-06-25', 12),
(357, 113, 0, 249, 0, '2024-06-25', 12),
(358, 114, 0, 242, 0, '2024-06-25', 12),
(359, 115, 0, 64, 0, '2024-06-25', 12),
(360, 125, 0, 0, 0, '2024-06-25', 12);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sucursales`
--

CREATE TABLE `sucursales` (
  `id_sucursal` int(11) NOT NULL,
  `codigo_sucursal` varchar(50) NOT NULL,
  `nombre_sucursal` varchar(255) NOT NULL,
  `direccion_sucursal` text NOT NULL,
  `limite_sucursal` double NOT NULL,
  `estado_sucursal` tinyint(4) NOT NULL,
  `fecha_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `sucursales`
--

INSERT INTO `sucursales` (`id_sucursal`, `codigo_sucursal`, `nombre_sucursal`, `direccion_sucursal`, `limite_sucursal`, `estado_sucursal`, `fecha_added`) VALUES
(1, 'SC0001', 'CASA MATRIZ', 'SAN MIGUEL', 15, 1, '2020-01-07 15:34:04');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tmp_comandas`
--

CREATE TABLE `tmp_comandas` (
  `id_comanda` int(11) NOT NULL,
  `mesa_comanda` varchar(50) NOT NULL,
  `estado_comanda` int(11) NOT NULL,
  `session_id` varchar(255) NOT NULL,
  `num_pedido` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tmp_compra`
--

CREATE TABLE `tmp_compra` (
  `id_tmp` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad_tmp` double NOT NULL,
  `costo_tmp` double DEFAULT NULL,
  `session_id` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tmp_cotizacion`
--

CREATE TABLE `tmp_cotizacion` (
  `id_tmp` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad_tmp` double NOT NULL,
  `precio_tmp` double DEFAULT NULL,
  `desc_tmp` int(11) NOT NULL,
  `session_id` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tmp_mesa`
--

CREATE TABLE `tmp_mesa` (
  `id_tmp` int(11) NOT NULL,
  `mesa_tmp` varchar(50) NOT NULL,
  `producto_tmp` int(11) NOT NULL,
  `cant_tmp` double NOT NULL,
  `precio_tmp` double NOT NULL,
  `desc_tmp` double NOT NULL,
  `session_id` varchar(255) NOT NULL,
  `status_tmp` int(11) NOT NULL,
  `new_cant` double NOT NULL,
  `identificativo` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tmp_mesa_ind`
--

CREATE TABLE `tmp_mesa_ind` (
  `id_tmp` int(11) NOT NULL,
  `mesa_tmp` int(11) NOT NULL,
  `producto_tmp` int(11) NOT NULL,
  `cant_tmp` double NOT NULL,
  `precio_tmp` double NOT NULL,
  `desc_tmp` double NOT NULL,
  `session_id` varchar(255) NOT NULL,
  `users_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tmp_ventas`
--

CREATE TABLE `tmp_ventas` (
  `id_tmp` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `cantidad_tmp` double NOT NULL,
  `precio_tmp` double DEFAULT NULL,
  `desc_tmp` int(11) NOT NULL,
  `session_id` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `traslados`
--

CREATE TABLE `traslados` (
  `id_traslado` int(11) NOT NULL,
  `referencia_traslado` varchar(50) NOT NULL,
  `origen_traslado` int(11) NOT NULL,
  `destino_traslado` int(11) NOT NULL,
  `monto_traslado` int(11) NOT NULL,
  `fecha_added` datetime NOT NULL,
  `id_users` int(11) NOT NULL,
  `num_transaccion` varchar(50) NOT NULL,
  `estado_traslado` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `users`
--

CREATE TABLE `users` (
  `id_users` int(11) NOT NULL COMMENT 'auto incrementing user_id of each user, unique index',
  `nombre_users` varchar(20) NOT NULL,
  `apellido_users` varchar(20) NOT NULL,
  `usuario_users` varchar(64) NOT NULL COMMENT 'user''s name, unique',
  `con_users` varchar(255) NOT NULL COMMENT 'user''s password in salted and hashed format',
  `email_users` varchar(64) NOT NULL COMMENT 'user''s email, unique',
  `tipo_users` tinyint(4) NOT NULL,
  `cargo_users` varchar(25) NOT NULL,
  `sucursal_users` tinyint(4) NOT NULL,
  `date_added` datetime NOT NULL,
  `comision_users` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='user data';

--
-- Volcado de datos para la tabla `users`
--

INSERT INTO `users` (`id_users`, `nombre_users`, `apellido_users`, `usuario_users`, `con_users`, `email_users`, `tipo_users`, `cargo_users`, `sucursal_users`, `date_added`, `comision_users`) VALUES
(1, 'SUPER', 'ADMINISTRADOR', 'admin', '$2y$10$MPVHzZ2ZPOWmtUUGCq3RXu31OTB.jo7M9LZ7PmPQYmgETSNn19ejO', 'root@admin.com', 0, '1', 1, '2016-05-21 15:06:00', 0),
(2, 'JUAN ', 'PEREZ', 'juan', '$2y$10$.uEhpe9VmblSORhaoq3w.uXBAy0U/Ir2ZLTSkI01mTGc/cT7yljVe', 'juanperez@gmail.com', 0, '3', 1, '2024-02-10 20:14:59', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_group`
--

CREATE TABLE `user_group` (
  `user_group_id` int(11) NOT NULL,
  `name` varchar(64) CHARACTER SET latin1 COLLATE latin1_spanish_ci NOT NULL,
  `permission` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `date_added` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `user_group`
--

INSERT INTO `user_group` (`user_group_id`, `name`, `permission`, `date_added`) VALUES
(1, 'Super Administrador', 'Inicio,1,1,1;Clientes,1,1,1;Proveedores,1,1,1;Productos,1,1,1;Compras,1,1,1;Mesas,1,1,1;Comandas,1,1,1;Ventas,1,1,1;Pedidos,1,1,1;Caja,1,1,1;Reportes,1,1,1;Configuracion,1,1,1;', '2017-08-09 10:22:15');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `caja`
--
ALTER TABLE `caja`
  ADD PRIMARY KEY (`id_caja`);

--
-- Indices de la tabla `caja_chica`
--
ALTER TABLE `caja_chica`
  ADD PRIMARY KEY (`id_caja`);

--
-- Indices de la tabla `clientes`
--
ALTER TABLE `clientes`
  ADD PRIMARY KEY (`id_cliente`),
  ADD UNIQUE KEY `codigo_producto` (`nombre_cliente`);

--
-- Indices de la tabla `creditos`
--
ALTER TABLE `creditos`
  ADD PRIMARY KEY (`id_credito`),
  ADD UNIQUE KEY `numero_cotizacion` (`numero_factura`);

--
-- Indices de la tabla `creditos_abonos`
--
ALTER TABLE `creditos_abonos`
  ADD PRIMARY KEY (`id_abono`);

--
-- Indices de la tabla `creditos_abonos_prov`
--
ALTER TABLE `creditos_abonos_prov`
  ADD PRIMARY KEY (`id_abono`);

--
-- Indices de la tabla `credito_proveedor`
--
ALTER TABLE `credito_proveedor`
  ADD PRIMARY KEY (`id_credito`),
  ADD UNIQUE KEY `numero_cotizacion` (`numero_factura`);

--
-- Indices de la tabla `currencies`
--
ALTER TABLE `currencies`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `detalle_caja`
--
ALTER TABLE `detalle_caja`
  ADD PRIMARY KEY (`caja_id`);

--
-- Indices de la tabla `detalle_fact_compra`
--
ALTER TABLE `detalle_fact_compra`
  ADD PRIMARY KEY (`id_detalle`),
  ADD KEY `numero_cotizacion` (`numero_factura`,`id_producto`),
  ADD KEY `id_factura` (`id_factura`);

--
-- Indices de la tabla `detalle_fact_cot`
--
ALTER TABLE `detalle_fact_cot`
  ADD PRIMARY KEY (`id_detalle`),
  ADD KEY `numero_cotizacion` (`numero_factura`,`id_producto`),
  ADD KEY `id_factura` (`id_factura`),
  ADD KEY `numero_factura` (`numero_factura`);

--
-- Indices de la tabla `detalle_fact_ventas`
--
ALTER TABLE `detalle_fact_ventas`
  ADD PRIMARY KEY (`id_detalle`),
  ADD KEY `numero_cotizacion` (`numero_factura`,`id_producto`),
  ADD KEY `id_factura` (`id_factura`),
  ADD KEY `numero_factura` (`numero_factura`);

--
-- Indices de la tabla `detalle_traslado`
--
ALTER TABLE `detalle_traslado`
  ADD PRIMARY KEY (`id_detalle_traslado`),
  ADD KEY `id_traslado` (`id_traslado`),
  ADD KEY `id_producto` (`id_producto`);

--
-- Indices de la tabla `egresos`
--
ALTER TABLE `egresos`
  ADD PRIMARY KEY (`id_egreso`),
  ADD KEY `users` (`users`);

--
-- Indices de la tabla `facturas_compras`
--
ALTER TABLE `facturas_compras`
  ADD PRIMARY KEY (`id_factura`);

--
-- Indices de la tabla `facturas_cot`
--
ALTER TABLE `facturas_cot`
  ADD PRIMARY KEY (`id_factura`),
  ADD UNIQUE KEY `numero_cotizacion` (`numero_factura`);

--
-- Indices de la tabla `facturas_creditos`
--
ALTER TABLE `facturas_creditos`
  ADD PRIMARY KEY (`id_fcr`);

--
-- Indices de la tabla `facturas_ventas`
--
ALTER TABLE `facturas_ventas`
  ADD PRIMARY KEY (`id_factura`),
  ADD UNIQUE KEY `numero_cotizacion` (`numero_factura`);

--
-- Indices de la tabla `historial_productos`
--
ALTER TABLE `historial_productos`
  ADD PRIMARY KEY (`id_historial`),
  ADD KEY `id_producto` (`id_producto`);

--
-- Indices de la tabla `ingresos`
--
ALTER TABLE `ingresos`
  ADD PRIMARY KEY (`id_ingreso`),
  ADD KEY `id_consulta` (`id_consulta`),
  ADD KEY `id_paciente` (`id_paciente`),
  ADD KEY `users` (`users`);

--
-- Indices de la tabla `lineas`
--
ALTER TABLE `lineas`
  ADD PRIMARY KEY (`id_linea`);

--
-- Indices de la tabla `mesas`
--
ALTER TABLE `mesas`
  ADD PRIMARY KEY (`id_mesa`);

--
-- Indices de la tabla `modulos`
--
ALTER TABLE `modulos`
  ADD PRIMARY KEY (`id_modulo`);

--
-- Indices de la tabla `perfil`
--
ALTER TABLE `perfil`
  ADD PRIMARY KEY (`id_perfil`);

--
-- Indices de la tabla `productos`
--
ALTER TABLE `productos`
  ADD PRIMARY KEY (`id_producto`),
  ADD KEY `id_cat_producto` (`id_linea_producto`),
  ADD KEY `id_med_producto` (`id_med_producto`),
  ADD KEY `id_proveedor` (`id_proveedor`);

--
-- Indices de la tabla `proveedores`
--
ALTER TABLE `proveedores`
  ADD PRIMARY KEY (`id_proveedor`);

--
-- Indices de la tabla `reservas`
--
ALTER TABLE `reservas`
  ADD PRIMARY KEY (`id_reserva`);

--
-- Indices de la tabla `salones`
--
ALTER TABLE `salones`
  ADD PRIMARY KEY (`id_salon`);

--
-- Indices de la tabla `stock`
--
ALTER TABLE `stock`
  ADD PRIMARY KEY (`id_stock`),
  ADD KEY `id_producto_stock` (`id_producto_stock`),
  ADD KEY `id_sucursal_stock` (`id_sucursal_stock`);

--
-- Indices de la tabla `sucursales`
--
ALTER TABLE `sucursales`
  ADD PRIMARY KEY (`id_sucursal`);

--
-- Indices de la tabla `tmp_comandas`
--
ALTER TABLE `tmp_comandas`
  ADD PRIMARY KEY (`id_comanda`);

--
-- Indices de la tabla `tmp_compra`
--
ALTER TABLE `tmp_compra`
  ADD PRIMARY KEY (`id_tmp`);

--
-- Indices de la tabla `tmp_cotizacion`
--
ALTER TABLE `tmp_cotizacion`
  ADD PRIMARY KEY (`id_tmp`);

--
-- Indices de la tabla `tmp_mesa`
--
ALTER TABLE `tmp_mesa`
  ADD PRIMARY KEY (`id_tmp`);

--
-- Indices de la tabla `tmp_mesa_ind`
--
ALTER TABLE `tmp_mesa_ind`
  ADD PRIMARY KEY (`id_tmp`);

--
-- Indices de la tabla `tmp_ventas`
--
ALTER TABLE `tmp_ventas`
  ADD PRIMARY KEY (`id_tmp`);

--
-- Indices de la tabla `traslados`
--
ALTER TABLE `traslados`
  ADD PRIMARY KEY (`id_traslado`);

--
-- Indices de la tabla `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id_users`),
  ADD UNIQUE KEY `user_name` (`usuario_users`),
  ADD UNIQUE KEY `user_email` (`email_users`);

--
-- Indices de la tabla `user_group`
--
ALTER TABLE `user_group`
  ADD PRIMARY KEY (`user_group_id`),
  ADD KEY `user_group_id` (`user_group_id`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `caja`
--
ALTER TABLE `caja`
  MODIFY `id_caja` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `caja_chica`
--
ALTER TABLE `caja_chica`
  MODIFY `id_caja` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `clientes`
--
ALTER TABLE `clientes`
  MODIFY `id_cliente` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT de la tabla `creditos`
--
ALTER TABLE `creditos`
  MODIFY `id_credito` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `creditos_abonos`
--
ALTER TABLE `creditos_abonos`
  MODIFY `id_abono` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `creditos_abonos_prov`
--
ALTER TABLE `creditos_abonos_prov`
  MODIFY `id_abono` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `credito_proveedor`
--
ALTER TABLE `credito_proveedor`
  MODIFY `id_credito` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `currencies`
--
ALTER TABLE `currencies`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;

--
-- AUTO_INCREMENT de la tabla `detalle_caja`
--
ALTER TABLE `detalle_caja`
  MODIFY `caja_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT de la tabla `detalle_fact_compra`
--
ALTER TABLE `detalle_fact_compra`
  MODIFY `id_detalle` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `detalle_fact_cot`
--
ALTER TABLE `detalle_fact_cot`
  MODIFY `id_detalle` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `detalle_fact_ventas`
--
ALTER TABLE `detalle_fact_ventas`
  MODIFY `id_detalle` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

--
-- AUTO_INCREMENT de la tabla `detalle_traslado`
--
ALTER TABLE `detalle_traslado`
  MODIFY `id_detalle_traslado` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `egresos`
--
ALTER TABLE `egresos`
  MODIFY `id_egreso` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `facturas_compras`
--
ALTER TABLE `facturas_compras`
  MODIFY `id_factura` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `facturas_cot`
--
ALTER TABLE `facturas_cot`
  MODIFY `id_factura` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `facturas_creditos`
--
ALTER TABLE `facturas_creditos`
  MODIFY `id_fcr` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `facturas_ventas`
--
ALTER TABLE `facturas_ventas`
  MODIFY `id_factura` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT de la tabla `historial_productos`
--
ALTER TABLE `historial_productos`
  MODIFY `id_historial` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `ingresos`
--
ALTER TABLE `ingresos`
  MODIFY `id_ingreso` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `lineas`
--
ALTER TABLE `lineas`
  MODIFY `id_linea` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT de la tabla `mesas`
--
ALTER TABLE `mesas`
  MODIFY `id_mesa` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;

--
-- AUTO_INCREMENT de la tabla `modulos`
--
ALTER TABLE `modulos`
  MODIFY `id_modulo` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT de la tabla `perfil`
--
ALTER TABLE `perfil`
  MODIFY `id_perfil` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `productos`
--
ALTER TABLE `productos`
  MODIFY `id_producto` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=126;

--
-- AUTO_INCREMENT de la tabla `proveedores`
--
ALTER TABLE `proveedores`
  MODIFY `id_proveedor` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `reservas`
--
ALTER TABLE `reservas`
  MODIFY `id_reserva` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `salones`
--
ALTER TABLE `salones`
  MODIFY `id_salon` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `stock`
--
ALTER TABLE `stock`
  MODIFY `id_stock` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=361;

--
-- AUTO_INCREMENT de la tabla `sucursales`
--
ALTER TABLE `sucursales`
  MODIFY `id_sucursal` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `tmp_comandas`
--
ALTER TABLE `tmp_comandas`
  MODIFY `id_comanda` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT de la tabla `tmp_compra`
--
ALTER TABLE `tmp_compra`
  MODIFY `id_tmp` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `tmp_cotizacion`
--
ALTER TABLE `tmp_cotizacion`
  MODIFY `id_tmp` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `tmp_mesa`
--
ALTER TABLE `tmp_mesa`
  MODIFY `id_tmp` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=50;

--
-- AUTO_INCREMENT de la tabla `tmp_mesa_ind`
--
ALTER TABLE `tmp_mesa_ind`
  MODIFY `id_tmp` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `tmp_ventas`
--
ALTER TABLE `tmp_ventas`
  MODIFY `id_tmp` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `traslados`
--
ALTER TABLE `traslados`
  MODIFY `id_traslado` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `users`
--
ALTER TABLE `users`
  MODIFY `id_users` int(11) NOT NULL AUTO_INCREMENT COMMENT 'auto incrementing user_id of each user, unique index', AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de la tabla `user_group`
--
ALTER TABLE `user_group`
  MODIFY `user_group_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
